package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Mensaje;

public class RenderMensaje implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Mensaje mensaje = (Mensaje) o;
		SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy");

		Listcell lc = new Listcell(mensaje.getMensajeId().toString());
		lc.setParent(lstm);

		lc = new Listcell(format.format(mensaje.getFecIni()));
		lc.setParent(lstm);

		lc = new Listcell(format.format(mensaje.getFecFin()));
		lc.setParent(lstm);

		lc = new Listcell(getDescricaoMensagem(mensaje.getDescripcion()));
		lc.setParent(lstm);

		lstm.setAttribute("data", mensaje);
	}

	private String getDescricaoMensagem(String descripcion) {

		if (descripcion != null && descripcion.length() > 20) {
			return descripcion.substring(0, 20) + "...";
		}

		return descripcion;
	}
}
